gnutls_privkey_export_dh_raw(3)

NAME
gnutls_privkey_export_dh_raw - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_privkey_export_dh_raw(gnutls_privkey_t key, gnutls_dh_params_t params, gnutls_datum_t * y, gnutls_datum_t * x, unsigned int flags);

ARGUMENTS

gnutls_privkey_t key
    Holds the private key

gnutls_dh_params_t params
    will hold the Diffie-Hellman parameters (optional), must be initialized

gnutls_datum_t * y
    will hold the y (optional)

gnutls_datum_t * x
    will hold the x

unsigned int flags
    flags from gnutls_abstract_export_flags_t

DESCRIPTION
This function will export the Diffie-Hellman private key parameter found in the given gnutls_privkey_t structure. The new parameter will be allocated using gnutls_malloc() and will be stored in the appropriate datum.

To retrieve other parameters common in both public key and private key, use gnutls_dh_params_export_raw().

RETURNS
GNUTLS_E_SUCCESS on success, otherwise a negative error code.

SINCE
3.8.2

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/